# Generated by Django 3.2 on 2021-04-30 14:39

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='List',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('updated', models.DateTimeField(auto_now=True)),
                ('name', models.CharField(max_length=100)),
                ('show_checked', models.BooleanField(default=False)),
                ('sorting', models.CharField(choices=[('name', 'Sort by Name'), ('-name', 'Sort by Name'), ('created', 'Sort by Created'), ('-created', 'Sort by Created'), ('checked', 'Sort by Marked'), ('-checked', 'Sort by Marked')], default='created', max_length=30)),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='ListItem',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('updated', models.DateTimeField(auto_now=True)),
                ('name', models.CharField(blank=True, max_length=100, null=True)),
                ('checked', models.DateTimeField(blank=True, null=True)),
                ('parent', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='lister.list')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='ListerSettings',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('updated', models.DateTimeField(auto_now=True)),
                ('purge_old_items_days', models.IntegerField(default=7)),
                ('auto_delete_empty_list', models.BooleanField(default=True)),
                ('list_sorting', models.CharField(choices=[('name', 'Sort by Name'), ('-name', 'Sort by Name'), ('created', 'Sort by Created'), ('-created', 'Sort by Created'), ('checked', 'Sort by Marked'), ('-checked', 'Sort by Marked')], default='created', max_length=30)),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'abstract': False,
            },
        ),
    ]
